%global srcname slowaes
%global sum A pure Python AES implementation

Name:           python-%{srcname}
Version:        0.1a1
Release:        8%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://code.google.com/p/%{srcname}
Source0:        https://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
Patch1:         slowaes-license.patch
Patch2:         slowaes-remove-shebang.patch
BuildArch:      noarch
BuildRequires:  python2-devel

%description
{sum}.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}.

%prep
%autosetup -n %{srcname}-%{version}

rm -rf %{srcname}.egg-info


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%doc PKG-INFO
%license LICENSE
%{python2_sitelib}/*


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1a1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1a1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 07 2016 Jonny Heggheim <jonnyheggheim@sigaint.org> - 0.1a1-6
- Use autosetup

* Mon Apr 25 2016 Samuel Gyger <gyger@fsfe.org> - 0.1a1-5
- Added correct versioning for python2
- Use pybuild and pyinstall

* Mon Apr 25 2016 Samuel Gyger <gyger@fsfe.org> - 0.1a1-4
- Added proper license file.

* Sat Feb 14 2015 Samuel Gyger <gyger@fsfe.org> - 0.1a1-3
- Rebuild with proper python2 dependence.

* Sat Feb 07 2015 Samuel Gyger <gygers@fsfe.org> - 0.1a1-2
- Fixed Issues from initial Packaging

* Tue Jan 27 2015 Samuel Gyger <gygers@fsfe.org> - 0.1a1-1
- Created the initial packaging for slowaes 0.1a1 on fedora.
